post
/v9/storage/data-migration/policies
Create a data migration policy.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
CLIENT REQUEST
curl -X 'POST'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/data-migration/policies'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("POST", "/v9/storage/data-migration/policies", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/data-migration/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"dataMigrationDestinationId": "32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56",
"name": "Name2",
"rules": [
{
"rule": "Rule1",
"threshold": 70
}
],
"sourceFilesystemId": "7B263DFFFD71E65A0000000000000000"
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://172.27.146.40:8444/v9/storage/data-migration/policies");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://172.27.146.40:8444/v9/storage/data-migration/policies")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = [
"dataMigrationDestinationId": "32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56",
"name": "Name2",
"rules": [
[
"rule": "Rule1",
"threshold": 70
]
],
"sourceFilesystemId": "7B263DFFFD71E65A0000000000000000"
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/data-migration/policies")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/data-migration/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/data-migration/policies");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/data-migration/policies");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"dataMigrationDestinationId\":\"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56\",\"name\":\"Name2\",\"rules\":[{\"rule\":\"Rule1\",\"threshold\":70}],\"sourceFilesystemId\":\"7B263DFFFD71E65A0000000000000000\"}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
dataMigrationDestinationIdstring
namestring
rulesarray
sourceFilesystemIdstring
application/json
dataMigrationDestinationIdstringEither the ID of the data migration destination or the object ID of the data migration destination
Either the ID of the data migration destination or the object ID of the data migration destination
Example:
"32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56"namestringName to associate with the item
Name to associate with the item
Example:
"Name2"rulesarrayRules and corresponding threshold values that trigger the rules
Rules and corresponding threshold values that trigger the rules
[rulestring
thresholdintegerint32
]
rulestringRule name or ID of the rule
Rule name or ID of the rule
Example:
"Rule1"thresholdintegerint32Specifies when the rule is applied
Specifies when the rule is applied
Example:
70sourceFilesystemIdstringFile system ID of the source file system
File system ID of the source file system
Example:
"7B263DFFFD71E65A0000000000000000"REQUEST
{
"dataMigrationDestinationId": "32383732643333382d353564332d313164392d393030332d3062656637383762323633383a3a3a303a3a3a4f49445f24232140255f56",
"name": "Name2",
"rules": [
{
"rule": "Rule1",
"threshold": 70
}
],
"sourceFilesystemId": "7B263DFFFD71E65A0000000000000000"
}Responses